import { select, csv, csvFormat } from 'd3';

const kilobytes = data =>
  Math.ceil(csvFormat(data).length / 1000);

const body = select('body');

csv('https://gist.githubusercontent.com/Hemanthh81/7f95478df5ef68fe6eabee488e0146c1/raw/c0ff8b121da9d9f6ff64ad22703a0a7c26d60189/Cars_Indian')
  .then(data => {
    
    body
      .append('pre')
        .text('First 10 rows:');

    body
      .append('pre')
        .text(JSON.stringify(data.slice(0, 10), null, 2));
  });